/*
	alt-tasks : utility for observing ALT Linux tasks
	Copyright (C) 2020-2023 Alexey Appolonov

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package ar

//-----------------------------------------------------------------------------
// Archive of all the tasks of a repository

type Archive struct {
	counter       uint
	tasks         map[TaskId]Task
	packages      map[SrcId]string
	package_ids   map[string]SrcId
	time_overview timeOverview
	src_overview  srcOverview
	}

// Generate a new archive object
func NewArchive() *Archive {
	a := new(Archive)
	a.tasks    = make(map[TaskId]Task)
	a.packages = make(map[SrcId]string)
	a.package_ids   = make(map[string]SrcId)
	a.time_overview = make(timeOverview)
	a.src_overview  = make(srcOverview)
	return a
	}

//-----------------------------------------------------------------------------
// Check if archive is empty
func (a *Archive) Empty() bool {
	return len(a.tasks) == 0
	}
